package chat.hyper;

import java.util.HashMap;
import java.util.Iterator;
import chat.server.ChatRoomMgrPackage.*;
import chat.client.ChatClient;
import chat.common.Helper;
import chat.server.UserConnectionImpl;

/**
 * Modela uma sala de bate papo.
 * Esta classe s  usada no servidor e no  exportada ao cliente.
 */
abstract class ChatRoom
//////////////
{
  /**
   * O nome desta sala.
   */
  private String name;

  /**
   * A descrio desta sala.
   */
  private String description;

  /**
   * @supplierCardinality 0..*
   * @supplierRole userConnections 
   */
  private UserConnection lnkUserConnection;

  /**
   * Retorna uma nova conexo nesta sala para o usurio especificado.
   *
   * O objeto retornado j est ativado no ORB.
   *
   * @exception UserAlreadyInRoomException
   *                   Se o usurio j est nesta sala.
   */
  public abstract UserConnection createNewConnection( String userName, ChatClient client )
    throws UserAlreadyInRoomException;
  ///////////////////////////////////////////////////////////////////////////////
} // class ChatRoom
