package chat.common;

import java.text.SimpleDateFormat;

/**
 * Centralizador de servios teis.
 * Existe s uma instncia (implementao do padro Singleton.)
 *
 * @author Jorge F. Del Teglia
 */
public class Helper
///////////////////
{
  private static Helper instance = null;
  private SimpleDateFormat dateFormatter;


  private Helper()
  ////////////////
  {
    // Configura formateador para datas.
    this.dateFormatter = new SimpleDateFormat( "'['HH:mm:ss.SS']' " );
  }


  public static Helper getInstance()
  //////////////////////////////////
  {
    if ( instance == null )
    {
      instance = new Helper();
      instance.log( "Inicializando Helper." );
    }

    return instance;
  }


  public synchronized void log( String msg )
  //////////////////////////////////////////
  {
    System.out.print( this.dateFormatter.format( new java.util.Date() ) );
    System.out.println( msg );
  }


  public synchronized void log( Throwable t )
  ///////////////////////////////////////////
  {
    System.out.print( this.dateFormatter.format( new java.util.Date() ) );
    System.out.print( "*** Exception: " );
    System.out.println( t.getMessage() );
  }
}
