package chat.server;

import chat.client.ChatClient;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ChatRoomMgr extends Remote
{
  String createChatRoom( String roomName )
    throws ChatRoomAlreadyExistsException, RemoteException;

  void removeChatRoom( String roomName )
    throws ChatRoomDoesntExistException, RemoteException;

  UserConnection createNewConnection( String roomName, String userName,
                                      ChatClient client )
    throws ChatRoomDoesntExistException, UserAlreadyInRoomException, RemoteException;

  void closeConnection( String roomName, String userName )
    throws ChatRoomDoesntExistException, RemoteException;

  String[] listUserNames( String roomName )
    throws ChatRoomDoesntExistException, RemoteException;

  String[] listRoomNames()
    throws RemoteException;
}
            
